| Home | Libraries | People | FAQ | More

## Struct template has_move_emulation_enabled

has_move_emulation_enabled

## Synopsis

    // In header: <boost/move/core.hpp>

    template<typename T>
    struct has_move_emulation_enabled {

      // public data members
      static const bool value;
    };

## Description

This trait yields to a compile-time true boolean if T was marked as BOOST_MOVABLE_BUT_NOT_COPYABLE or BOOST_COPYABLE_AND_MOVABLE and rvalue references are not available on the platform. False otherwise.